[PC-BSD Commits] r15803 - pcbsd/current/src-sh/pc-metapkgmanager

svn at pcbsd.org svn at pcbsd.org
Tue Mar 13 13:39:46 PDT 2012


Author: kris
Date: 2012-03-13 20:39:46 +0000 (Tue, 13 Mar 2012)
New Revision: 15803

Modified:
   pcbsd/current/src-sh/pc-metapkgmanager/pc-metapkgmanager
Log:

Update pc-metapkgmanager to allow us to use different meta-pkg sets



Modified: pcbsd/current/src-sh/pc-metapkgmanager/pc-metapkgmanager
===================================================================
--- pcbsd/current/src-sh/pc-metapkgmanager/pc-metapkgmanager	2012-03-13 19:57:32 UTC (rev 15802)
+++ pcbsd/current/src-sh/pc-metapkgmanager/pc-metapkgmanager	2012-03-13 20:39:46 UTC (rev 15803)
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-# Copyright 2010 Kris Moore
+# Copyright 2012 Kris Moore (iXsystems)
 # All rights reserved
 #
 # Redistribution and use in source and binary forms, with or without
@@ -24,8 +24,19 @@
 # IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 # POSSIBILITY OF SUCH DAMAGE.
 
-# Define some universals
-MPDIR="/usr/local/share/pcbsd/base-ports"
+# Define some defaults
+DBDIR="/var/db/pc-metapkgmanager"
+if [ -n "$1" ] ; then
+  PKGSET="$1"
+else
+  PKGSET="pcbsd"
+fi
+if [ ! -d "${DBDIR}/$PKGSET" ] ; then
+ echo "No such package set $PKGSET"
+ exit 1
+fi
+MPDIR="${DBDIR}/${PKGSET}"
+
 LOGFILE="/tmp/.pc-metapkgmanager.log"
 FTP_PASSIVE_MODE="YES" ; export FTP_PASSIVE_MODE
 



More information about the Commits mailing list